## SwClientItemView SwClientItemView |

## Synopsis

                        SwClientItemView;
                        SwClientItemViewClass;
    void                sw_client_item_view_start           (SwClientItemView *item_view);
    void                sw_client_item_view_refresh         (SwClientItemView *item_view);

## Object Hierarchy

      GObject
       +----SwClientItemView

## Properties

      "object-path"              gchar*                : Read / Write / Construct Only

## Signals

      "items-added"                                    : Run First
      "items-changed"                                  : Run First
      "items-removed"                                  : Run First

## Description

## Details

### SwClientItemView

    typedef struct _SwClientItemView SwClientItemView;

### SwClientItemViewClass

    typedef struct {
      GObjectClass parent_class;
      void (*items_added)(SwClientItemView *item_view, GList *items);
      void (*items_removed)(SwClientItemView *item_view, GList *items);
      void (*items_changed)(SwClientItemView *item_view, GList *item);
    } SwClientItemViewClass;

### sw_client_item_view_start ()

    void                sw_client_item_view_start           (SwClientItemView *item_view);

### sw_client_item_view_refresh ()

    void                sw_client_item_view_refresh         (SwClientItemView *item_view);

## Property Details

### The `"object-path"` property

      "object-path"              gchar*                : Read / Write / Construct Only

DBUS path to the item_view's object.

Default value: NULL

## Signal Details

### The `"items-added"` signal

    void                user_function                      (SwClientItemView *self,
                                                            gpointer          items,
                                                            gpointer          user_data)      : Run First

`items` : | . [type GLib.List][element-type Sw.Item]
`user_data` : | user data set when the signal handler was connected.

### The `"items-changed"` signal

    void                user_function                      (SwClientItemView *self,
                                                            gpointer          items,
                                                            gpointer          user_data)      : Run First

`items` : | . [type GLib.List][element-type Sw.Item]
`user_data` : | user data set when the signal handler was connected.

### The `"items-removed"` signal

    void                user_function                      (SwClientItemView *self,
                                                            gpointer          items,
                                                            gpointer          user_data)      : Run First

`items` : | . [type GLib.List][element-type Sw.Item]
`user_data` : | user data set when the signal handler was connected.